API ReferenceReport Subscription
Update
Update a subscription
Authorization
bearerAuth Authorization<token>
In: header
Path Parameters
id*string
The ID.
Query Parameters
lang?string
The language code for localized results.
Value in
- "en"
- "es"
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Try it live
curl -X PATCH "https://example.com/subscriptions/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "recipients": [ {} ], "frequency": { "unit": "day", "amount": 0.1, "timezone": "string" }, "dashboards": [ { "order": 0.1, "dashboardId": "string", "filters": [ { "dashboardFilterId": "string", "value": "string" } ] } ] }'{ "id": "string", "companyId": 0.1, "userId": 0.1, "name": "string", "description": "string", "lang": "en", "recipients": [ { "id": "string", "personaId": "string", "email": "string", "name": "string" } ], "frequency": { "unit": "day", "amount": 0.1, "days": "string", "time": "string", "shifts": [ "string" ], "timezone": "string", "since": "2019-08-24T14:15:22Z", "until": "2019-08-24T14:15:22Z", "description": "string" }, "dashboards": [ { "id": "string", "order": 0.1, "dashboardId": "string", "filters": [ { "id": "string", "dashboardFilterId": "string", "value": "string", "name": "string", "type": "string" } ], "title": "string" } ], "createdBy": { "at": "2019-08-24T14:15:22Z", "lastName": "string", "firstName": "string", "email": "string", "id": 0.1 }, "updatedBy": { "at": "2019-08-24T14:15:22Z", "lastName": "string", "firstName": "string", "email": "string", "id": 0.1 }}